#!/bin/sh
if [ -z "$NATS_PASSWORD" ]
then
    echo '$NATS_PASSWORD is required'
    exit 1
fi
helm --namespace=staging upgrade nocodelytics-nats nats/nats --values ./nats.yaml \
    --set auth.basic.accounts.sys.users[0].pass=$NATS_PASSWORD \
    --set auth.basic.accounts.js.users[0].pass=$NATS_PASSWORD